## rw 0.7

=== debian/changelog ===
rw (0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #789519)

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 21 Jun 2015 20:39:52 +0200
