=== debian/control ===
Source: rw
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: math
Priority: optional
Standards-Version: 3.9.6
Homepage: http://pholia.tdi.informatik.uni-frankfurt.de/~philipp/software/rw.shtml
Build-Depends: debhelper (>= 9), dh-autoreconf (>= 4~), pkg-config
Vcs-Git: git://anonscm.debian.org/debian-science/packages/rw
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/rw

Package: librw0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Compute rank-width and rank-decompositions of graphs
 Compute rank-width and rank-decompositions of graphs. It is based on
 ideas from "Computing rank-width exactly" by Sang-il Oum, "Sopra una
 formula numerica" by Ernesto Pascal, "Generation of a Vector from the
 Lexicographical Index" by B.P. Buckles and M. Lybanon and "Fast
 additions on masked integers" by Michael D. Adams and David S. Wise.
 .
 This package contains the library itself.

Package: librw-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, librw0 (= ${binary:Version})
Description: Compute rank-width and rank-decompositions of graphs (development)
 Compute rank-width and rank-decompositions of graphs. It is based on
 ideas from "Computing rank-width exactly" by Sang-il Oum, "Sopra una
 formula numerica" by Ernesto Pascal, "Generation of a Vector from the
 Lexicographical Index" by B.P. Buckles and M. Lybanon and "Fast
 additions on masked integers" by Michael D. Adams and David S. Wise.
 .
 This package contains the development files for the library.
