=== debian/watch ===
version=3
http://pholia.tdi.informatik.uni-frankfurt.de/~philipp/software/rw.shtml rw-(\d[\d.]*).tar.gz
