## rw 0.8+ds

=== debian/changelog ===
rw (0.8+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 15 Aug 2016 07:06:57 +0200

rw (0.7-2) unstable; urgency=medium

  * Bump standards-version to 3.9.8.
  * Use https in Vcs-* fields.
  * Add hardening=+all to DEB_BUILD_MAINT_OPTIONS.
  * Ship upstream's NEWS file as changelog.
  * Point to the new project homepage.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 10 Aug 2016 14:52:10 +0200
