=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: math
 Priority: optional
-Standards-Version: 3.9.6
-Homepage: http://pholia.tdi.informatik.uni-frankfurt.de/~philipp/software/rw.shtml
+Standards-Version: 3.9.8
+Homepage: https://sourceforge.net/projects/rankwidth
 Build-Depends: debhelper (>= 9), dh-autoreconf (>= 4~), pkg-config
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/rw
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/rw
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/rw
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/rw
 
 Package: librw0
 Architecture: any
