=== debian/watch ===
version=3
opts=\
repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/rw-([\d\.-]+)\.tar\.gz/rw-$1.tar.gz/ \
http://sf.net/rankwidth/ rw-(\d[\d.]*).tar.gz
