## rw 0.8+ds1

=== debian/changelog ===
rw (0.8+ds1-1) unstable; urgency=medium

  * Use my @debian.org mail address.
  * Point to salsa.debian.org for the repository.
  * Update d/copyright (date + https)
  * Bump std-vers to 4.5.0.
  * Drop d/compat and use dh-compat 13.
  * Number the +ds suffix.
  * Declare d/rules doesn't require root.
  * Update team mailing list address.
  * Put package librw0 in section libs.
  * Declare librw-dev as Multi-Arch: same following hinter.
  * Remove now-default linker flag.
  * Add basic upstream metadata.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 16 Jul 2020 15:57:06 +0200
