## rw 0.9+ds1

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: rw
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: math
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://sourceforge.net/projects/rankwidth
-Build-Depends: debhelper (>= 9), dh-autoreconf (>= 4~), pkg-config
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/rw
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/rw
+Build-Depends: debhelper-compat (= 13), pkg-config
+Vcs-Git: https://salsa.debian.org/science-team/rw.git
+Vcs-Browser: https://salsa.debian.org/science-team/rw
 
 Package: librw0
 Architecture: any
+Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -25,8 +27,9 @@
 
 Package: librw-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, librw0 (= ${binary:Version})
+Depends: librw0 (= ${binary:Version}), ${misc:Depends}
 Description: Compute rank-width and rank-decompositions of graphs (development)
  Compute rank-width and rank-decompositions of graphs. It is based on
  ideas from "Computing rank-width exactly" by Sang-il Oum, "Sopra una
