=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 export ACLOCAL_M4=.
 
 %:
@@ -19,8 +18,5 @@
 	rm -f debian/tmp/usr/lib/*/*.la
 	rm -fr debian/tmp/usr/share/doc
 
-override_dh_install:
-	dh_install --fail-missing
-
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
